import { z } from 'zod';
export declare const accountSchema: z.ZodObject<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    role: z.ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
        FORM: "FORM";
    }>;
    isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN" | "FORM";
    isGlobalFilterActive: boolean;
    fcmToken: string[];
    created_at: Date;
    updated_at: Date;
}, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN" | "FORM";
    created_at: Date;
    updated_at: Date;
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>;
declare const CuentaDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    role: z.ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
        FORM: "FORM";
    }>;
    isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN" | "FORM";
    isGlobalFilterActive: boolean;
    fcmToken: string[];
    created_at: string;
    updated_at: string;
}, {
    id: string;
    username: string;
    password: string;
    role: "USER" | "ADMIN" | "FORM";
    created_at: string;
    updated_at: string;
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>>;
export declare class CuentaDto extends CuentaDto_base {
}
export {};
