import z from 'zod';
export declare const getMeResponseSchema: z.ZodObject<z.objectUtil.extendShape<Omit<{
    id: z.ZodString;
    username: z.ZodString;
    password: z.ZodString;
    role: z.ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
        FORM: "FORM";
    }>;
    isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "password">, {
    globalFilter: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<Pick<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "id" | "name" | "type">, {
        group: z.ZodObject<Pick<{
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            isExclusive: z.ZodBoolean;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "id" | "color" | "isExclusive">, "strip", z.ZodTypeAny, {
            id: string;
            color: string;
            isExclusive: boolean;
        }, {
            id: string;
            color: string;
            isExclusive: boolean;
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }>, "many">;
    tags: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }>, "many">;
}>, "strip", z.ZodTypeAny, {
    id: string;
    username: string;
    role: "USER" | "ADMIN" | "FORM";
    isGlobalFilterActive: boolean;
    fcmToken: string[];
    created_at: Date;
    updated_at: Date;
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }[];
}, {
    id: string;
    username: string;
    role: "USER" | "ADMIN" | "FORM";
    created_at: Date;
    updated_at: Date;
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }[];
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>;
declare const GetMeResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    username: z.ZodString;
    role: z.ZodNativeEnum<{
        USER: "USER";
        ADMIN: "ADMIN";
        FORM: "FORM";
    }>;
    isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
    fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    globalFilter: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        group: z.ZodObject<{
            id: z.ZodString;
            color: z.ZodString;
            isExclusive: z.ZodBoolean;
        }, z.UnknownKeysParam, z.ZodTypeAny, {
            id: string;
            color: string;
            isExclusive: boolean;
        }, {
            id: string;
            color: string;
            isExclusive: boolean;
        }>;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }>, "many">;
    tags: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    id: string;
    username: string;
    role: "USER" | "ADMIN" | "FORM";
    isGlobalFilterActive: boolean;
    fcmToken: string[];
    created_at: string;
    updated_at: string;
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }[];
}, {
    id: string;
    username: string;
    role: "USER" | "ADMIN" | "FORM";
    created_at: string;
    updated_at: string;
    globalFilter: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        group: {
            id: string;
            color: string;
            isExclusive: boolean;
        };
    }[];
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }[];
    isGlobalFilterActive?: boolean | undefined;
    fcmToken?: string[] | undefined;
}>>;
export declare class GetMeResponseDto extends GetMeResponseDto_base {
}
export {};
