import z from 'zod';
export declare const updateEventSchema: z.ZodObject<z.objectUtil.extendShape<Pick<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodDate;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "location" | "name" | "date" | "folderId">, {
    subEvents: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<Pick<{
        id: z.ZodString;
        name: z.ZodString;
        date: z.ZodDate;
        location: z.ZodString;
        folderId: z.ZodNullable<z.ZodString>;
        tagAssistedId: z.ZodString;
        tagConfirmedId: z.ZodString;
        supraEventId: z.ZodNullable<z.ZodString>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "location" | "name" | "date">, {
        id: z.ZodUnion<[z.ZodString, z.ZodLiteral<"">]>;
    }>, "strip", z.ZodTypeAny, {
        location: string;
        id: string;
        name: string;
        date: Date;
    }, {
        location: string;
        id: string;
        name: string;
        date: Date;
    }>, "many">;
}>, "strip", z.ZodTypeAny, {
    location: string;
    name: string;
    date: Date;
    folderId: string | null;
    subEvents: {
        location: string;
        id: string;
        name: string;
        date: Date;
    }[];
}, {
    location: string;
    name: string;
    date: Date;
    folderId: string | null;
    subEvents: {
        location: string;
        id: string;
        name: string;
        date: Date;
    }[];
}>;
declare const UpdateEventDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    location: z.ZodString;
    name: z.ZodString;
    date: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    subEvents: z.ZodArray<z.ZodObject<{
        location: z.ZodString;
        name: z.ZodString;
        date: z.ZodString;
        id: z.ZodUnion<[z.ZodString, z.ZodLiteral<"">]>;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        location: string;
        id: string;
        name: string;
        date: string;
    }, {
        location: string;
        id: string;
        name: string;
        date: string;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    location: string;
    name: string;
    date: string;
    folderId: string | null;
    subEvents: {
        location: string;
        id: string;
        name: string;
        date: string;
    }[];
}, {
    location: string;
    name: string;
    date: string;
    folderId: string | null;
    subEvents: {
        location: string;
        id: string;
        name: string;
        date: string;
    }[];
}>>;
export declare class UpdateEventDto extends UpdateEventDto_base {
}
export declare const updateEventResponseSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodDate;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, {
    tagAssisted: z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, {
        group: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            isExclusive: z.ZodBoolean;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id: string;
            name: string;
            color: string;
            created_at: Date;
            updated_at: Date;
            isExclusive: boolean;
        }, {
            id: string;
            name: string;
            color: string;
            created_at: Date;
            updated_at: Date;
            isExclusive: boolean;
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            created_at: Date;
            updated_at: Date;
            isExclusive: boolean;
        };
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            created_at: Date;
            updated_at: Date;
            isExclusive: boolean;
        };
    }>;
}>, "strip", z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    tagAssisted: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            created_at: Date;
            updated_at: Date;
            isExclusive: boolean;
        };
    };
}, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    tagAssisted: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            created_at: Date;
            updated_at: Date;
            isExclusive: boolean;
        };
    };
}>;
declare const UpdateEventResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodString;
    location: z.ZodString;
    folderId: z.ZodNullable<z.ZodString>;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodNullable<z.ZodString>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    tagAssisted: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
        group: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            color: z.ZodString;
            isExclusive: z.ZodBoolean;
            created_at: z.ZodString;
            updated_at: z.ZodString;
        }, z.UnknownKeysParam, z.ZodTypeAny, {
            id: string;
            name: string;
            color: string;
            created_at: string;
            updated_at: string;
            isExclusive: boolean;
        }, {
            id: string;
            name: string;
            color: string;
            created_at: string;
            updated_at: string;
            isExclusive: boolean;
        }>;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            created_at: string;
            updated_at: string;
            isExclusive: boolean;
        };
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            created_at: string;
            updated_at: string;
            isExclusive: boolean;
        };
    }>;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    tagAssisted: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            created_at: string;
            updated_at: string;
            isExclusive: boolean;
        };
    };
}, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
    tagAssisted: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
        group: {
            id: string;
            name: string;
            color: string;
            created_at: string;
            updated_at: string;
            isExclusive: boolean;
        };
    };
}>>;
export declare class UpdateEventResponseDto extends UpdateEventResponseDto_base {
}
export {};
