"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateEventResponseDto = exports.updateEventResponseSchema = exports.UpdateEventDto = exports.updateEventSchema = void 0;
const event_dto_1 = require("./event.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_group_dto_1 = require("../../tag-group/dto/tag-group.dto");
const tag_dto_1 = require("../../tag/dto/tag.dto");
const zod_1 = __importDefault(require("zod"));
exports.updateEventSchema = event_dto_1.eventSchema
    .pick({
    name: true,
    folderId: true,
    date: true,
    location: true,
})
    .merge(zod_1.default.object({
    subEvents: zod_1.default.array(event_dto_1.eventSchema
        .pick({
        name: true,
        location: true,
        date: true,
    })
        .extend({
        id: event_dto_1.eventSchema.shape.id.or(zod_1.default.literal('')),
    })),
}));
class UpdateEventDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateEventSchema) {
}
exports.UpdateEventDto = UpdateEventDto;
exports.updateEventResponseSchema = event_dto_1.eventSchema.merge(zod_1.default.object({
    tagAssisted: tag_dto_1.tagSchema.merge(zod_1.default.object({
        group: tag_group_dto_1.tagGroupSchema,
    })),
}));
class UpdateEventResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateEventResponseSchema) {
}
exports.UpdateEventResponseDto = UpdateEventResponseDto;
//# sourceMappingURL=update-event.dto.js.map