declare const _default: {
    readonly prisma: {
        readonly model: {
            readonly account: "Cuenta";
            readonly tag: "Etiqueta";
            readonly tagGroup: "Grupo de etiquetas";
            readonly event: "Evento";
            readonly eventFolder: "Carpeta de eventos";
            readonly comment: "Comentario";
            readonly profile: "Perfil";
            readonly location: "Ubicación";
            readonly cannedResponse: "Respuesta enlatada";
            readonly message: "Mensaje";
        };
        readonly tag: {
            readonly assisted: "Asistió";
            readonly confirmed: "Confirmó asistencia";
        };
        readonly conflict: "Ya existe un registro con el campo {{field}} '{{value}}' en la tabla de {{model}}";
        readonly 'not-found': "No se encontró un registro con el campo {{field}} '{{value}}' en la tabla de {{model}}";
    };
    readonly model: {
        readonly comment: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly content: {
                readonly min: "El contenido debe tener al menos 1 caracter";
            };
            readonly isSolvable: {
                readonly required: "No se indica si el comentario es resoluble";
            };
        };
        readonly account: {
            readonly id: {
                readonly required: "El ID es requerido";
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly username: {
                readonly required: "El nombre de usuario es requerido";
            };
            readonly email: {
                readonly required: "El email es requerido";
                readonly email: "El email debe ser un email válido";
            };
            readonly password: {
                readonly required: "La contraseña es requerida";
                readonly min: "La contraseña debe tener al menos 6 caracteres";
            };
            readonly role: {
                readonly required: "El rol es requerido";
                readonly invalid: "El rol es inválido";
            };
        };
        readonly tag: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly name: {
                readonly required: "El nombre es requerido";
                readonly min: "El nombre debe tener al menos 1 caracter";
            };
            readonly type: {
                readonly invalid: "El tipo de etiqueta es inválido";
            };
        };
        readonly event: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly name: {
                readonly required: "El nombre es requerido";
            };
            readonly date: {
                readonly required: "La fecha es requerida";
                readonly invalid: "La fecha debe ser una fecha válida";
            };
            readonly location: {
                readonly required: "La ubicación es requerida";
            };
        };
        readonly tagGroup: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly name: {
                readonly required: "El nombre es requerido";
            };
            readonly color: {
                readonly invalid: "El color debe tener el formato hexadecimal (#ABCDEF)";
            };
        };
        readonly 'event-folder': {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly name: {
                readonly min: "El nombre debe tener al menos 1 caracter";
            };
            readonly color: {
                readonly invalid: "El color debe tener el formato hexadecimal (#ABCDEF)";
            };
        };
        readonly profile: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly phoneNumber: {
                readonly required: "El teléfono es un campo obligatorio";
                readonly invalid: "El teléfono no es válido";
            };
            readonly secondaryPhoneNumber: {
                readonly invalid: "El teléfono secundario no es válido";
            };
            readonly fullName: {
                readonly required: "El nombre es un campo obligatorio";
            };
            readonly profilePictureUrl: {
                readonly invalid: "La URL de la imagen de perfil no es válida";
            };
            readonly mail: {
                readonly invalid: "El email no es válido. Debe tener el formato \"algo@dominio.algo\"";
            };
        };
        readonly location: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly latitude: {
                readonly minmax: "La latitud debe estar entre -90 y 90";
            };
            readonly longitude: {
                readonly minmax: "La longitud debe estar entre -180 y 180";
            };
        };
        readonly 'canned-response': {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
            readonly name: {
                readonly required: "El nombre es requerido";
                readonly min: "El nombre debe tener al menos 1 caracter";
            };
            readonly content: {
                readonly required: "El contenido es requerido";
                readonly min: "El contenido debe tener al menos 1 caracter";
            };
        };
        readonly message: {
            readonly id: {
                readonly uuid: "El ID debe ser un UUID";
            };
        };
    };
    readonly route: {
        readonly auth: {
            readonly 'invalid-credentials': "Credenciales inválidas";
            readonly 'no-token': "No se encontró un token";
            readonly 'invalid-token': "Token inválido";
            readonly 'user-not-found': "Usuario no encontrado";
        };
        readonly account: {
            readonly create: {
                readonly success: "Cuenta creada con éxito";
                readonly conflict: "Cuenta ya existente";
            };
            readonly 'global-filter-patch': {
                readonly success: "Filtro base actualizado";
                readonly conflict: "Etiquetas Inválidas";
            };
            readonly 'global-filter-get': {
                readonly success: "Filtro base obtenido";
                readonly 'not-found': "Cuenta no encontrada";
            };
            readonly me: {
                readonly success: "Cuenta obtenida";
            };
        };
        readonly tag: {
            readonly create: {
                readonly success: "Etiqueta creada con éxito";
            };
            readonly 'find-all': {
                readonly success: "Etiquetas obtenidas";
            };
            readonly 'find-one': {
                readonly success: "Etiqueta obtenida";
                readonly 'not-found': "Etiqueta no encontrada";
            };
            readonly update: {
                readonly success: "Etiqueta actualizada";
                readonly 'not-found': "Etiqueta no encontrada";
            };
            readonly delete: {
                readonly success: "Etiqueta eliminada";
                readonly 'not-found': "Etiqueta no encontrada";
            };
            readonly 'find-by-group': {
                readonly success: "Etiquetas obtenidas";
                readonly 'not-found': "Grupo de etiquetas no encontrado";
            };
            readonly 'massive-allocation': {
                readonly success: "Etiquetas asignadas con éxito";
            };
            readonly 'massive-deallocation': {
                readonly success: "Etiquetas desasignadas con éxito";
            };
        };
        readonly 'tag-group': {
            readonly create: {
                readonly success: "Grupo de etiquetas creado con éxito";
            };
            readonly 'find-all': {
                readonly success: "Grupos de etiquetas obtenidos";
            };
            readonly 'find-all-with-tags': {
                readonly success: "Etiquetas obtenidas";
            };
            readonly 'find-one': {
                readonly success: "Grupo de etiquetas obtenido";
                readonly 'not-found': "Grupo de etiquetas no encontrado";
            };
            readonly update: {
                readonly success: "Grupo de etiquetas actualizado";
                readonly 'not-found': "Grupo de etiquetas no encontrado";
            };
            readonly delete: {
                readonly success: "Grupo de etiquetas eliminado";
                readonly 'not-found': "Grupo de etiquetas no encontrado";
            };
        };
        readonly comment: {
            readonly create: {
                readonly success: "Comentario creado con éxito";
                readonly 'not-found': "Perfil no encontrado";
            };
            readonly 'get-by-profile': {
                readonly success: "Comentarios obtenidos";
                readonly 'not-found': "Perfil no encontrado";
            };
            readonly 'toggle-solve': {
                readonly success: "Cambio de estado en la resolución del comentario";
                readonly 'not-found': "Comentario no encontrado";
                readonly conflict: "El comentario no es resoluble";
            };
        };
        readonly location: {
            readonly 'find-all': {
                readonly success: "Ubicaciones obtenidas";
            };
            readonly 'find-cities-by-arg-state': {
                readonly success: "Localidades de Argentina obtenidas";
                readonly 'not-found': "Provincia \"{{argState}}\" no encontrada";
            };
            readonly 'arg-states': {
                readonly success: "Provincias de Argentina obtenidas";
            };
            readonly 'all-countries': {
                readonly success: "Países obtenidos";
            };
            readonly 'states-by-country': {
                readonly success: "Estados obtenidos";
                readonly 'not-found-error': "No se encontraron estados para el país {{countryCode}}";
                readonly 'not-found': "País no encontrado";
            };
        };
        readonly 'canned-response': {
            readonly create: {
                readonly success: "Respuesta enlatada creada con éxito";
                readonly conflict: "Error en la creacion de la respuesta";
            };
            readonly 'get-all': {
                readonly success: "Respuestas enlatadas obtenidas con éxito";
                readonly 'not-found': "No se encontraron respuestas enlatadas";
            };
            readonly update: {
                readonly success: "Respuesta enlatada actualizada con éxito";
                readonly 'not-found': "Respuesta enlatada no encontrada";
            };
            readonly delete: {
                readonly success: "Respuesta enlatada eliminada con éxito";
                readonly 'not-found': "Respuesta enlatada no encontrada";
            };
        };
        readonly 'event-folder': {
            readonly create: {
                readonly success: "Carpeta de evento creada con éxito";
                readonly conflict: "Error en la creación de la carpeta de evento";
            };
            readonly 'get-all': {
                readonly success: "Carpetas de evento obtenidas con éxito";
                readonly 'not-found': "No se encontraron carpetas de evento";
            };
            readonly 'get-by-id': {
                readonly success: "Carpeta de evento obtenida con éxito";
                readonly 'not-found': "Carpeta de evento no encontrada";
            };
            readonly update: {
                readonly success: "Carpeta de evento actualizada con éxito";
                readonly 'not-found': "Carpeta de evento no encontrada";
            };
            readonly delete: {
                readonly success: "Carpeta de evento eliminada con éxito";
                readonly 'not-found': "Carpeta de evento no encontrada";
            };
        };
        readonly event: {
            readonly create: {
                readonly success: "Evento creado con éxito";
                readonly conflict: "Error en la creación del evento";
                readonly 'folder-not-found': "Carpeta de evento no encontrada";
            };
            readonly 'get-all': {
                readonly success: "Eventos obtenidos con éxito";
                readonly 'not-found': "No se encontraron eventos";
            };
            readonly 'get-by-id': {
                readonly success: "Evento obtenido con éxito";
                readonly 'not-found': "Evento no encontrado";
            };
            readonly update: {
                readonly success: "Evento actualizado con éxito";
                readonly 'not-found': "Evento no encontrado";
                readonly 'subevent-not-found': "Subevento no encontrado";
            };
            readonly delete: {
                readonly success: "Evento eliminado con éxito";
                readonly 'not-found': "Evento no encontrado";
            };
        };
        readonly profile: {
            readonly 'find-all': {
                readonly success: "Perfiles obtenidos";
            };
            readonly 'find-by-id': {
                readonly 'not-found': "Perfil no encontrado";
                readonly success: "Perfil obtenido";
            };
            readonly 'find-by-tag': {
                readonly 'not-found': "Perfil no encontrado";
                readonly 'tags-not-found': "Alguna de las etiquetas no existe";
                readonly success: "Perfiles obtenidos";
            };
            readonly 'find-by-tag-groups': {
                readonly 'not-found': "Perfil no encontrado";
                readonly 'tag-groups-not-found': "Alguno de los grupos de etiquetas no existe";
                readonly success: "Perfiles obtenidos";
            };
            readonly create: {
                readonly 'participant-tag-not-found': "No se encontró la etiqueta de participante";
                readonly success: "Perfil creado con éxito";
                readonly 'dni-already-exists': "Ya existe un perfil con ese DNI";
                readonly 'phone-number-already-exists': "Ya existe un perfil con ese teléfono";
                readonly 'secondary-phone-number-already-exists': "Ya existe un perfil con ese teléfono secundario";
                readonly conflict: "Error en la creación del perfil";
            };
            readonly delete: {
                readonly success: "Perfil eliminado con éxito";
                readonly 'not-found': "Perfil no encontrado";
            };
            readonly update: {
                readonly success: "Perfil actualizado con éxito";
                readonly 'not-found': "Perfil no encontrado";
                readonly conflict: "Error en la actualización del perfil";
                readonly 'exclusive-tags': "Las etiquetas {{tag1}} y {{tag2}} son exclusivas del mismo grupo";
            };
            readonly 'find-by-date-range': {
                readonly success: "Perfiles obtenidos";
                readonly 'invalid-date': "Fecha inválida";
            };
            readonly 'find-by-phone-number': {
                readonly success: "Perfil obtenido";
                readonly 'not-found': "Perfil no encontrado";
            };
            readonly 'find-trash': {
                readonly success: "Perfiles obtenidos";
            };
            readonly 'find-all-with-active-chat': {
                readonly success: "Perfiles obtenido";
            };
        };
    };
};
export default _default;
